# -*- coding: utf-8 -*-

# Form implementation generated from reading ui file 'createTrafficDialog.ui'
#
# Created: Sun Nov  6 21:28:31 2016
#      by: PyQt5 UI code generator 5.2.1
#
# WARNING! All changes made in this file will be lost!

from PyQt5 import QtCore, QtGui, QtWidgets

class Ui_createTrafficDialog(object):
    def setupUi(self, createTrafficDialog):
        createTrafficDialog.setObjectName("createTrafficDialog")
        createTrafficDialog.resize(235, 273)
        self.verticalLayout = QtWidgets.QVBoxLayout(createTrafficDialog)
        self.verticalLayout.setObjectName("verticalLayout")
        self.formLayout = QtWidgets.QFormLayout()
        self.formLayout.setFieldGrowthPolicy(QtWidgets.QFormLayout.AllNonFixedFieldsGrow)
        self.formLayout.setObjectName("formLayout")
        self.label = QtWidgets.QLabel(createTrafficDialog)
        self.label.setObjectName("label")
        self.formLayout.setWidget(0, QtWidgets.QFormLayout.LabelRole, self.label)
        self.createAircraftType_edit = AircraftTypeCombo(createTrafficDialog)
        self.createAircraftType_edit.setObjectName("createAircraftType_edit")
        self.formLayout.setWidget(0, QtWidgets.QFormLayout.FieldRole, self.createAircraftType_edit)
        self.label_10 = QtWidgets.QLabel(createTrafficDialog)
        self.label_10.setObjectName("label_10")
        self.formLayout.setWidget(1, QtWidgets.QFormLayout.LabelRole, self.label_10)
        self.createCallsign_edit = QtWidgets.QLineEdit(createTrafficDialog)
        self.createCallsign_edit.setObjectName("createCallsign_edit")
        self.formLayout.setWidget(1, QtWidgets.QFormLayout.FieldRole, self.createCallsign_edit)
        self.createStripLink_tickBox = QtWidgets.QCheckBox(createTrafficDialog)
        self.createStripLink_tickBox.setObjectName("createStripLink_tickBox")
        self.formLayout.setWidget(2, QtWidgets.QFormLayout.SpanningRole, self.createStripLink_tickBox)
        self.verticalLayout.addLayout(self.formLayout)
        self.line = QtWidgets.QFrame(createTrafficDialog)
        self.line.setFrameShape(QtWidgets.QFrame.HLine)
        self.line.setFrameShadow(QtWidgets.QFrame.Sunken)
        self.line.setObjectName("line")
        self.verticalLayout.addWidget(self.line)
        self.gridLayout = QtWidgets.QGridLayout()
        self.gridLayout.setObjectName("gridLayout")
        self.createStatus_radio_parked = QtWidgets.QRadioButton(createTrafficDialog)
        self.createStatus_radio_parked.setEnabled(False)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.createStatus_radio_parked.sizePolicy().hasHeightForWidth())
        self.createStatus_radio_parked.setSizePolicy(sizePolicy)
        self.createStatus_radio_parked.setObjectName("createStatus_radio_parked")
        self.gridLayout.addWidget(self.createStatus_radio_parked, 0, 0, 1, 1)
        self.airborneFL_edit = QtWidgets.QSpinBox(createTrafficDialog)
        self.airborneFL_edit.setMinimum(10)
        self.airborneFL_edit.setMaximum(400)
        self.airborneFL_edit.setProperty("value", 100)
        self.airborneFL_edit.setObjectName("airborneFL_edit")
        self.gridLayout.addWidget(self.airborneFL_edit, 2, 2, 1, 1)
        self.depRWY_select = QtWidgets.QComboBox(createTrafficDialog)
        self.depRWY_select.setEnabled(False)
        self.depRWY_select.setObjectName("depRWY_select")
        self.gridLayout.addWidget(self.depRWY_select, 1, 2, 1, 1)
        self.closestParkingPosition_info = QtWidgets.QLabel(createTrafficDialog)
        self.closestParkingPosition_info.setText("")
        self.closestParkingPosition_info.setObjectName("closestParkingPosition_info")
        self.gridLayout.addWidget(self.closestParkingPosition_info, 0, 1, 1, 1)
        self.createStatus_radio_ready = QtWidgets.QRadioButton(createTrafficDialog)
        self.createStatus_radio_ready.setEnabled(False)
        self.createStatus_radio_ready.setObjectName("createStatus_radio_ready")
        self.gridLayout.addWidget(self.createStatus_radio_ready, 1, 0, 1, 2)
        self.createStatus_radio_airborne = QtWidgets.QRadioButton(createTrafficDialog)
        self.createStatus_radio_airborne.setChecked(True)
        self.createStatus_radio_airborne.setObjectName("createStatus_radio_airborne")
        self.gridLayout.addWidget(self.createStatus_radio_airborne, 2, 0, 1, 2)
        self.parkedSetsHeading_tickBox = QtWidgets.QCheckBox(createTrafficDialog)
        self.parkedSetsHeading_tickBox.setEnabled(False)
        self.parkedSetsHeading_tickBox.setChecked(True)
        self.parkedSetsHeading_tickBox.setObjectName("parkedSetsHeading_tickBox")
        self.gridLayout.addWidget(self.parkedSetsHeading_tickBox, 0, 2, 1, 1)
        self.verticalLayout.addLayout(self.gridLayout)
        self.line_2 = QtWidgets.QFrame(createTrafficDialog)
        self.line_2.setFrameShape(QtWidgets.QFrame.HLine)
        self.line_2.setFrameShadow(QtWidgets.QFrame.Sunken)
        self.line_2.setObjectName("line_2")
        self.verticalLayout.addWidget(self.line_2)
        self.horizontalLayout = QtWidgets.QHBoxLayout()
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.startFrozen_tickBox = QtWidgets.QCheckBox(createTrafficDialog)
        self.startFrozen_tickBox.setObjectName("startFrozen_tickBox")
        self.horizontalLayout.addWidget(self.startFrozen_tickBox)
        self.verticalLayout.addLayout(self.horizontalLayout)
        self.buttonBox = QtWidgets.QDialogButtonBox(createTrafficDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.Cancel|QtWidgets.QDialogButtonBox.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.verticalLayout.addWidget(self.buttonBox)
        self.label.setBuddy(self.createAircraftType_edit)
        self.label_10.setBuddy(self.createCallsign_edit)
        self.closestParkingPosition_info.setBuddy(self.parkedSetsHeading_tickBox)

        self.retranslateUi(createTrafficDialog)
        self.buttonBox.accepted.connect(createTrafficDialog.accept)
        self.buttonBox.rejected.connect(createTrafficDialog.reject)
        self.createStatus_radio_airborne.toggled['bool'].connect(self.airborneFL_edit.setEnabled)
        self.createStatus_radio_ready.toggled['bool'].connect(self.depRWY_select.setEnabled)
        self.createStatus_radio_parked.toggled['bool'].connect(self.parkedSetsHeading_tickBox.setEnabled)
        self.createStatus_radio_parked.clicked.connect(self.parkedSetsHeading_tickBox.setFocus)
        self.createStatus_radio_ready.clicked.connect(self.depRWY_select.setFocus)
        self.createStatus_radio_airborne.clicked.connect(self.airborneFL_edit.setFocus)
        QtCore.QMetaObject.connectSlotsByName(createTrafficDialog)
        createTrafficDialog.setTabOrder(self.createAircraftType_edit, self.createCallsign_edit)
        createTrafficDialog.setTabOrder(self.createCallsign_edit, self.createStripLink_tickBox)
        createTrafficDialog.setTabOrder(self.createStripLink_tickBox, self.createStatus_radio_parked)
        createTrafficDialog.setTabOrder(self.createStatus_radio_parked, self.parkedSetsHeading_tickBox)
        createTrafficDialog.setTabOrder(self.parkedSetsHeading_tickBox, self.createStatus_radio_ready)
        createTrafficDialog.setTabOrder(self.createStatus_radio_ready, self.depRWY_select)
        createTrafficDialog.setTabOrder(self.depRWY_select, self.createStatus_radio_airborne)
        createTrafficDialog.setTabOrder(self.createStatus_radio_airborne, self.airborneFL_edit)
        createTrafficDialog.setTabOrder(self.airborneFL_edit, self.startFrozen_tickBox)
        createTrafficDialog.setTabOrder(self.startFrozen_tickBox, self.buttonBox)

    def retranslateUi(self, createTrafficDialog):
        _translate = QtCore.QCoreApplication.translate
        createTrafficDialog.setWindowTitle(_translate("createTrafficDialog", "Create traffic"))
        self.label.setText(_translate("createTrafficDialog", "Aircraft:"))
        self.label_10.setText(_translate("createTrafficDialog", "Callsign:"))
        self.createStripLink_tickBox.setText(_translate("createTrafficDialog", "Create linked strip with details"))
        self.createStatus_radio_parked.setText(_translate("createTrafficDialog", "At PKG pos."))
        self.airborneFL_edit.setPrefix(_translate("createTrafficDialog", "FL"))
        self.createStatus_radio_ready.setText(_translate("createTrafficDialog", "Ready for departure"))
        self.createStatus_radio_airborne.setText(_translate("createTrafficDialog", "Airborne"))
        self.parkedSetsHeading_tickBox.setText(_translate("createTrafficDialog", "set hdg"))
        self.startFrozen_tickBox.setText(_translate("createTrafficDialog", "Start frozen"))

from GUI.widgets.miscWidgets import AircraftTypeCombo
